/// <reference types="node" />
import { ParsedHost } from '@deepkit/core';
import { RpcKernel } from '@deepkit/rpc';
import { Server } from 'net';
import type { ServerOptions as WebSocketServerOptions } from 'ws';
import { WebSocketServer } from 'ws';
/**
 * Uses the node `net` module to create a server. Supports unix sockets.
 */
export declare class RpcTcpServer {
    protected kernel: RpcKernel;
    protected server?: Server;
    protected host: ParsedHost;
    constructor(kernel: RpcKernel, host: string);
    start(): Promise<unknown>;
    close(): void;
}
export declare class RpcWebSocketServer {
    protected kernel: RpcKernel;
    protected server?: WebSocketServer;
    protected host: ParsedHost;
    constructor(kernel: RpcKernel, host: string);
    close(): void;
    start(options: WebSocketServerOptions): void;
}
